Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.util.accesslog
Class NVPair

    java.lang.Object
      org.apache.jmeter.protocol.http.util.accesslog.NVPair

    public class NVPair

extends Object

Description:

Version:
  $Revision: 674365 $

Field Summary
`protected String` | `NAME`
`protected String` | `VALUE`

Constructor Summary
`NVPair()`
`NVPair(String name, String value)` The constructor takes a name and value which represent HTTP request parameters.

Method Summary
`String` | `getName()` Return the name
`String` | `getValue()` Return the value
`void` | `setName(String name)` Set the name
`void` | `setValue(String value)` Set the value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    protected String NAME

### VALUE

    protected String VALUE

Constructor Detail

### NVPair

    public NVPair()

### NVPair

    public NVPair(String name,
                  String value)

  The constructor takes a name and value which represent HTTP request parameters.

  Parameters:
    `name` -
    `value` -

Method Detail

### setName

    public void setName(String name)

  Set the name

  Parameters:
    `name` -

### setValue

    public void setValue(String value)

  Set the value

  Parameters:
    `value` -

### getName

    public String getName()

  Return the name

  Returns:
    name

### getValue

    public String getValue()

  Return the value

  Returns:
    value

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.